api.botsubscription.com
GET /v1/endpoint
Authentication Bearer
Token
Stays in this tab. Required for this endpoint — the value below is what gets sent.
Request GET Response —
cURL Node Python PHP Go Ruby
Copy curl --request GET \
--url https://api.botsubscription.com/v1/endpoint \
--header 'Authorization: Bearer sk_live_•••'— — · — · —
Response will appear here.
Modify a single access destination's settings. You can enable or disable the target to control whether the subscription bot grants access to it, or update the display name. Disabling a target does not remove existing members but prevents new access grants.
PATCH /v2/projects/ {project_id} /targets/ {target_id} CopyTry it Authorization Bearer Token Required
Path Parameters The unique identifier of the project.
The internal target ID (UUID).
Request Body Whether the target is enabled.
Display name for the target.
curl -X PATCH "https://api.botsubscription.com/v2/projects/YOUR_PROJECT_ID/targets/11111111-1111-1111-1111-111111111111" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"is_enabled": true
}' const project_id = 'YOUR_PROJECT_ID' ;
const target_id = '11111111-1111-1111-1111-111111111111' ;
const response = await fetch ( `https://api.botsubscription.com/v2/projects/${ project_id }/targets/${ target_id }` , {
method: 'PATCH' ,
headers: {
'Authorization' : 'Bearer YOUR_TOKEN' ,
'Content-Type' : 'application/json'
},
body: JSON . stringify ({
is_enabled: true
})
});
const data = await response. json (); import requests
project_id = 'YOUR_PROJECT_ID'
target_id = '11111111-1111-1111-1111-111111111111'
response = requests.patch(
f 'https://api.botsubscription.com/v2/projects/ { project_id } /targets/ { target_id } ' ,
headers = {
'Authorization' : 'Bearer YOUR_TOKEN' ,
'Content-Type' : 'application/json'
},
json = {
'is_enabled' : True
}
)
data = response.json() $project_id = 'YOUR_PROJECT_ID' ;
$target_id = '11111111-1111-1111-1111-111111111111' ;
$ch = curl_init ();
curl_setopt ($ch, CURLOPT_URL , "https://api.botsubscription.com/v2/projects/{ $project_id }/targets/{ $target_id }" );
curl_setopt ($ch, CURLOPT_CUSTOMREQUEST , 'PATCH' );
curl_setopt ($ch, CURLOPT_HTTPHEADER , [
'Authorization: Bearer YOUR_TOKEN' ,
'Content-Type: application/json'
]);
curl_setopt ($ch, CURLOPT_POSTFIELDS , json_encode ([
'is_enabled' => true
]));
curl_setopt ($ch, CURLOPT_RETURNTRANSFER , true );
$response = curl_exec ($ch); Target updated application/json
{
"ok" : true ,
"request_id" : "11111111-1111-1111-1111-111111111111" ,
"method" : "PATCH" ,
"path" : "/v2/projects/YOUR_PROJECT_ID/targets/11111111-1111-1111-1111-111111111111" ,
"code" : 200 ,
"total" : 1 ,
"message" : "Successfully updated 1 target(s)" ,
"data" : {
"target_id" : "11111111-1111-1111-1111-111111111111" ,
"target_name" : "Premium Members" ,
"platform" : "discord" ,
"kind" : "role" ,
"external_id" : "123456789012345678" ,
"is_enabled" : true ,
"plan_count" : 3 ,
"parent_target_id" : "22222222-2222-2222-2222-222222222222" ,
"participant_count" : 150
}
} Target not found application/json
{
"ok" : false ,
"request_id" : "11111111-1111-1111-1111-111111111111" ,
"method" : "PATCH" ,
"path" : "/v2/projects/YOUR_PROJECT_ID/targets/11111111-1111-1111-1111-111111111111" ,
"code" : 404 ,
"error" : {
"error_code" : "NOT_FOUND" ,
"message" : "Target not found"
}
} Last updated: May 28, 2026
PreviousUpdate Multiple Targets Next Delete Target